clan::AudioObject Class Reference - ClanLib SDK
Description: clan::AudioObject Class Reference

Public Member Functions | Friends | List of all members
clan::AudioObject Class Reference

`#include <audio_object.h>`

## Public Member Functions
| AudioObject ()
| AudioObject (AudioWorld &world)
| AudioObject (AudioWorld &world, AudioDefinition definition)
float | get_attenuation_begin () const
float | get_attenuation_end () const
Vec3f | get_position () const
float | get_volume () const
bool | is_ambience () const
bool | is_looping () const
bool | is_null () const
bool | is_playing () const
void | play ()
void | set_ambience (bool ambience)
void | set_attenuation_begin (float distance)
void | set_attenuation_end (float distance)
void | set_looping (bool loop)
void | set_position (const Vec3f &position)
void | set_sound (const SoundBuffer &buffer)
void | set_sound (const std::string &id)
void | set_volume (float volume)
void | stop ()

## Friends
class | AudioWorld
class | AudioWorld_Impl

## Constructor & Destructor Documentation

## ◆ AudioObject() [1/3]

clan::AudioObject::AudioObject | ( |  | ) |

## ◆ AudioObject() [2/3]

clan::AudioObject::AudioObject | ( | AudioWorld & | world | ) |

References AudioWorld.

## ◆ AudioObject() [3/3]

clan::AudioObject::AudioObject | ( | AudioWorld & | world,
|  | AudioDefinition | definition )

References AudioWorld.

## Member Function Documentation

## ◆ get_attenuation_begin()

float clan::AudioObject::get_attenuation_begin | ( |  | ) | const

## ◆ get_attenuation_end()

float clan::AudioObject::get_attenuation_end | ( |  | ) | const

## ◆ get_position()

Vec3f clan::AudioObject::get_position | ( |  | ) | const

## ◆ get_volume()

float clan::AudioObject::get_volume | ( |  | ) | const

## ◆ is_ambience()

bool clan::AudioObject::is_ambience | ( |  | ) | const

## ◆ is_looping()

bool clan::AudioObject::is_looping | ( |  | ) | const

## ◆ is_null()

bool clan::AudioObject::is_null | ( |  | ) | const
| inline

## ◆ is_playing()

bool clan::AudioObject::is_playing | ( |  | ) | const

## ◆ play()

void clan::AudioObject::play | ( |  | ) |

## ◆ set_ambience()

void clan::AudioObject::set_ambience | ( | bool | ambience | ) |

## ◆ set_attenuation_begin()

void clan::AudioObject::set_attenuation_begin | ( | float | distance | ) |

## ◆ set_attenuation_end()

void clan::AudioObject::set_attenuation_end | ( | float | distance | ) |

## ◆ set_looping()

void clan::AudioObject::set_looping | ( | bool | loop | ) |

## ◆ set_position()

void clan::AudioObject::set_position | ( | const Vec3f & | position | ) |

## ◆ set_sound() [1/2]

void clan::AudioObject::set_sound | ( | const SoundBuffer & | buffer | ) |

## ◆ set_sound() [2/2]

void clan::AudioObject::set_sound | ( | const std::string & | id | ) |

## ◆ set_volume()

void clan::AudioObject::set_volume | ( | float | volume | ) |

## ◆ stop()

void clan::AudioObject::stop | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ AudioWorld

friend class AudioWorld
| friend

References AudioWorld.

Referenced by AudioObject(), AudioObject(), and AudioWorld.

## ◆ AudioWorld_Impl

friend class AudioWorld_Impl
| friend

References AudioWorld_Impl.

Referenced by AudioWorld_Impl.

The documentation for this class was generated from the following file:

- audio_object.h